创建 personName
本文内容
命名空间:microsoft.graph
重要
Microsoft Graph版本下的 /beta API 可能会发生更改。 不支持在生产应用程序中使用这些 API。 若要确定 API 是否在 v1.0 中可用,请使用 版本 选择器。
使用此 API 在用户配置文件中创建新的 personName 对象 。
权限
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限 。
权限类型
权限(从最低特权到最高特权)
委派(工作或学校帐户)
User.Read、User.ReadWrite、User.ReadBasic.All、User.Read.All、User.ReadWrite.All
委派(个人 Microsoft 帐户)
User.Read、User.ReadWrite、User.ReadBasic.All、User.Read.All、User.ReadWrite.All
应用程序
User.ReadBasic.All、User.Read.All、User.ReadWrite.All
HTTP 请求
POST /me/profile/names
POST /users/{id | userPrincipalName}/profile/names
名称
说明
Authorization
Bearer {token}。必需。
Content-Type
application/json. Required.
请求正文
在请求正文中,提供 personName 对象的 JSON 表示形式。
下表显示创建 personName 对象时可以设置的属性。
属性
类型
Description
allowedAudiences
String
能够查看实体中包含的值的访问群体。 继承自 itemFacet 。 可取值为:me、family、contacts、groupMembers、organization、federatedOrganizations、everyone、unknownFutureValue。
displayName
String
根据用户或设备区域设置提供 firstName 和 lastName 的有序呈现。
first
String
用户的名字。
id
String
用于单独寻址实体的标识符。 继承自 实体
inference
inferenceData
如果实体是由创建或修改应用程序推断出来的,则包含推断详细信息。 继承自 itemFacet 。
initials
String
用户缩写。
languageTag
String
包含以下 IETF BCP47 (en-US、no-NB、en-AU) 语言的名称。
last
String
用户的姓氏。
一些
String
用户的姓名。
middle
String
用户的中间名。
nickname
String
用户的昵称。
pronunciation
yomiPersonName
有关如何对用户名称进行发音的指南。
后缀
String
在用户命名名称后使用 (,例如:PhD.)
title
String
用于为用户名称添加前缀的 (例如:Dr、Sir、Sir、Mrs.)
响应
如果成功,此方法在 201, Created 响应正文中返回 响应代码和新 personName 对象。
示例
请求
下面展示了示例请求。
POST https://graph.microsoft.com/beta/me/profile/names
Content-type: application/json
{
"displayName": "Innocenty Popov",
"first": "Innocenty",
"initials": "IP",
"last": "Popov",
"languageTag": "en-US",
"maiden": null
}
GraphServiceClient graphClient = new GraphServiceClient( authProvider );
var personName = new PersonName
{
DisplayName = "Innocenty Popov",
First = "Innocenty",
Initials = "IP",
Last = "Popov",
LanguageTag = "en-US",
Maiden = null
};
await graphClient.Me.Profile.Names
.Request()
.AddAsync(personName);
const options = {
authProvider,
};
const client = Client.init(options);
const personName = {
displayName: 'Innocenty Popov',
first: 'Innocenty',
initials: 'IP',
last: 'Popov',
languageTag: 'en-US',
maiden: null
};
await client.api('/me/profile/names')
.version('beta')
.post(personName);
MSHTTPClient *httpClient = [MSClientFactory createHTTPClientWithAuthenticationProvider:authenticationProvider];
NSString *MSGraphBaseURL = @"https://graph.microsoft.com/beta/";
NSMutableURLRequest *urlRequest = [NSMutableURLRequest requestWithURL:[NSURL URLWithString:[MSGraphBaseURL stringByAppendingString:@"/me/profile/names"]]];
[urlRequest setHTTPMethod:@"POST"];
[urlRequest setValue:@"application/json" forHTTPHeaderField:@"Content-Type"];
MSGraphPersonName *personName = [[MSGraphPersonName alloc] init];
[personName setDisplayName:@"Innocenty Popov"];
[personName setFirst:@"Innocenty"];
[personName setInitials:@"IP"];
[personName setLast:@"Popov"];
[personName setLanguageTag:@"en-US"];
[personName setMaiden: null];
NSError *error;
NSData *personNameData = [personName getSerializedDataWithError:&error];
[urlRequest setHTTPBody:personNameData];
MSURLSessionDataTask *meDataTask = [httpClient dataTaskWithRequest:urlRequest
completionHandler: ^(NSData *data, NSURLResponse *response, NSError *nserror) {
//Request Completed
}];
[meDataTask execute];
GraphServiceClient graphClient = GraphServiceClient.builder().authenticationProvider( authProvider ).buildClient();
PersonName personName = new PersonName();
personName.displayName = "Innocenty Popov";
personName.first = "Innocenty";
personName.initials = "IP";
personName.last = "Popov";
personName.languageTag = "en-US";
personName.maiden = null;
graphClient.me().profile().names()
.buildRequest()
.post(personName);
//THE GO SDK IS IN PREVIEW. NON-PRODUCTION USE ONLY
graphClient := msgraphsdk.NewGraphServiceClient(requestAdapter)
requestBody := msgraphsdk.NewPersonName()
displayName := "Innocenty Popov"
requestBody.SetDisplayName(&displayName)
first := "Innocenty"
requestBody.SetFirst(&first)
initials := "IP"
requestBody.SetInitials(&initials)
last := "Popov"
requestBody.SetLast(&last)
languageTag := "en-US"
requestBody.SetLanguageTag(&languageTag)
requestBody.SetMaiden(nil)
result, err := graphClient.Me().Profile().Names().Post(requestBody)
Import-Module Microsoft.Graph.People
$params = @{
DisplayName = "Innocenty Popov"
First = "Innocenty"
Initials = "IP"
Last = "Popov"
LanguageTag = "en-US"
Maiden = $null
}
# A UPN can also be used as -UserId.
New-MgUserProfileName -UserId $userId -BodyParameter $params
响应
下面展示了示例响应。
注意: 为了提高可读性,可能缩短了此处显示的响应对象。
HTTP/1.1 201 Created
Content-type: application/json
{
"id": "0fb4c1e3-c1e3-0fb4-e3c1-b40fe3c1b40f",
"allowedAudiences": "organization",
"inference": null,
"createdDateTime": "2020-07-06T06:34:12.2294868Z",
"createdBy": {
"application": null,
"device": null,
"user": {
"displayName": "Innocenty Popov",
"id": "db789417-4ccb-41d1-a0a9-47b01a09ea49"
}
},
"lastModifiedDateTime": "2020-07-06T06:34:12.2294868Z",
"lastModifiedBy": {
"application": null,
"device": null,
"user": {
"displayName": "Innocenty Popov",
"id": "db789417-4ccb-41d1-a0a9-47b01a09ea49"
}
},
"displayName": "Innocenty Popov",
"first": "Innocenty",
"initials": "IP",
"last": "Popov",
"languageTag": "en-US",
"maiden": null,
"middle": null,
"nickname": null,
"suffix": null,
"title": null,
"pronunciation": null
}